## NAME

gt-tallymer-mkindex - Count and index k-mers in the given enhanced suffix array for a fixed value of k.

## SYNOPSIS

gt tallymer mkindex [options] -esa suffixerator-index [options]

## DESCRIPTION

-esa [string]

  specify suffixerator-index (mandatory option) (default: undefined)

-mersize [value]

  Specify the mer size. (default: 20)

-minocc [value]

  Specify the minimum occurrence number for the mers to output/index (default: 0)

-maxocc [value]

  Specify the maximum occurrence number for the mers to output/index (default: 0)

-pl [value]

  specify prefix length for bucket boundary construction recommendation: use without argument; then a reasonable prefix length is automatically determined (default: 0)

-indexname [string]

  store the mers specified by options -maxocc and -minocc in an index (default: undefined)

-counts [yes|no]

  store counts of the mers (default: no)

-scan [yes|no]

  read enhanced suffix array sequentially instead of mapping it to memory (default: no)

-v [yes|no]

  be verbose (default: no)

-help

  display help and exit

-version

  display version information and exit

## REPORTING BUGS

Report bugs to <kurtz@zbh.uni-hamburg.de>.